ppmtopict(1)

NAME
ppmtopict - convert a portable pixmap into a Macintosh PICT file

SYNOPSIS
ppmtopict [ppmfile]

DESCRIPTION
Reads a portable pixmap as input. Produces a Macintosh PICT file as output.

The generated file is only the data fork of a picture. You will need a program such as mcvert to generate a Macbinary or a BinHex file that contains the necessary information to identify the file as a PICT file to MacOS.

Even though PICT supports 2 and 4 bits per pixel, ppmtopict always generates an 8 bits per pixel file.

BUGS
The picture size field is only correct if the output is to a file since writing into this field requires seeking backwards on a file. However the PICT documentation seems to suggest that this field is not critical anyway since it is only the lower 16 bits of the picture size.

SEE ALSO
picttoppm(1), ppm(5), mcvert(1)

AUTHOR
Copyright (C) 1990 by Ken Yap <ken@cs.rocester.edu>.